<?php

  //  #######   PHP CountUp - sgs-visual.de 2024/2025   ########
   //  Die Quellenangabe innerhalb des Scriptes darf nicht entfernt werden
   //  Dieses Script darf nicht kommerzell genutzt oder durch Dritte auf anderen 
   //  Webseiten veröffentlicht werden (Urheberrecht sgs-visual.de).
   //  ############################################


          $titel = file_get_contents("data/titel.dat");
          $jahr = file_get_contents("data/jahr.dat");
           $monat = file_get_contents("data/monat.dat");
           $tag = file_get_contents("data/tag.dat");
           $stunde = file_get_contents("data/stunde.dat");
           $minute = file_get_contents("data/minute.dat");
           $font = file_get_contents("data/font.dat");
           $fontsize = file_get_contents("data/fontsize.dat");
           $fontcolor = file_get_contents("data/fontcolor.dat");
           $backgroundcolor = file_get_contents("data/backgroundcolor.dat");

?>

<html>
	<head>
	<meta name="robots" content="noindex,nofollow">

  <style type="text/css">

  <style type="text/css">

  body{
    font-family:Tahoma, Arial;
    font-size:<?php echo $fontsize ?>;
    color:<?php echo $fontcolor ?>;
    background-color:<?php echo $backgroundcolor ?>;
}

  text{
    font-family:<?php echo $font ?>;
    font-size:<?php echo $fontsize ?>;
    color:<?php echo $fontcolor ?>;
    background-color:<?php echo $backgroundcolor ?>;
    word-break:break-word;
    text-align: center;
}

input {
    font-family:Arial;
    font-size:<?php echo $fontsize ?>;
    color:<?php echo $fontcolor ?>;
    background-color:<?php echo $backgroundcolor ?>;
}
</style>
<center>
<script language="JavaScript">

var jahr=<?php echo $jahr ?>, monat=<?php echo $monat ?>, tag=<?php echo $tag ?>, stunde=<?php echo $stunde ?>, minute=<?php echo $minute ?>, sekunde=0;

function countup() {
	var startDatum=new Date(jahr,monat-1,tag,stunde,minute,sekunde);
	zielDatum=new Date();

	if(startDatum<zielDatum)  {

	var jahre=0, monate=0, tage=0, stunden=0, minuten=0, sekunden=0;

	while(startDatum<zielDatum) {
	jahre++;
	startDatum.setFullYear(startDatum.getFullYear()+1);
	}
	startDatum.setFullYear(startDatum.getFullYear()-1);
	jahre--;

	while(startDatum<zielDatum) {
	monate++;
	startDatum.setMonth(startDatum.getMonth()+1);
	}
	startDatum.setMonth(startDatum.getMonth()-1);
	monate--;

	while(startDatum.getTime()+(24*60*60*1000)<zielDatum) {
	tage++;
	startDatum.setTime(startDatum.getTime()+(24*60*60*1000));
	}

		stunden=Math.floor((zielDatum-startDatum)/(60*60*1000));
		startDatum.setTime(startDatum.getTime()+stunden*60*60*1000);

		minuten=Math.floor((zielDatum-startDatum)/(60*1000));
		startDatum.setTime(startDatum.getTime()+minuten*60*1000);

		sekunden=Math.floor((zielDatum-startDatum)/1000);

		(jahre!=1)?jahre=jahre+" Jahren, ":jahre=jahre+" Jahren, ";
		(monate!=1)?monate=monate+" Monaten, ":monate=monate+" Monat, ";
		(tage!=1)?tage=tage+" Tagen, ":tage=tage+" Tag, ";
		(stunden!=1)?stunden=stunden+" Stunden, ":stunden=stunden+" Stunde, ";
		(minuten!=1)?minuten=minuten+" Minuten, ":minuten=minuten+" Minute ";
		if(sekunden<10) sekunden="0"+sekunden;
		(sekunden!=1)?sekunden=sekunden+" Sekunden":sekunden=sekunden+" Sekunde";

	document.countupform.countupinput.value=jahre+monate+tage+stunden+minuten+sekunden;
               }
else document.countupform.countupinput.value="0 Jahre, 0 Monate, 0 Tage, 0 Stunden, 0 Minuten, Sekunden";

	setTimeout('countup()',200);
	}
</script>

	</head>
<body>

<body scroll="auto" onload="countup()"><text><?php echo $titel ?></text> <form name="countupform"><input size="100%" name="countupinput" style="word-break:break-word!;font-family:<? echo $font ?>;font-size:<? echo $fontsize ?>px;background-color:<?php echo $backgroundcolor ?>;border-width:0" onfocus="if(this.blur)this.blur()">
  </form>

   </body>
</html>
